ReportDataAccess

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class ReportDataAccess

    java.lang.Object
      com.fenalco.entities.ReportDataAccess

    public class ReportDataAccess

extends java.lang.Object

Author:
  admin

Constructor Summary
`ReportDataAccess()` Creates a new instance of ReportDataAccess

Method Summary
`static OrderList` | `categoryOrders(OrderList orderList, int categoryId)`
`static OrderList` | `communityOrders(OrderList orderList, int communityId)`
`static OrderList` | `filterOrdersByTransaction(OrderList orderList, int transactionType)`
`static java.util.Vector` | `getCitiesZonesIds(int cityId)`
`static java.util.Vector` | `getShopKeeperStoresIds(int shopKeeperId)`
`static java.util.Vector` | `getSupplierCommunitiesIds(int supplierId)`
`static java.sql.Time` | `orderSubmitAverage(java.sql.Date startDate, java.sql.Date endDate, int transactionType)` Hora promedio en que se realizan mas pedidos.
`static OrderList` | `storeOrders(OrderList orderList, int storeId)`
`static java.util.Vector` | `userAccess(java.lang.String login, java.sql.Date startDate, java.sql.Date endDate)` Listado de los accesos de un usuario al sistema.
`static java.util.Vector` | `zoneNeighbourhoodsIds(int zoneId)`
`static OrderList` | `zoneOrders(OrderList orderList, int zoneId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportDataAccess

    public ReportDataAccess()

  Creates a new instance of ReportDataAccess

Method Detail

### storeOrders

    public static OrderList storeOrders(OrderList orderList,
                                        int storeId)

### communityOrders

    public static OrderList communityOrders(OrderList orderList,
                                            int communityId)

### zoneOrders

    public static OrderList zoneOrders(OrderList orderList,
                                       int zoneId)

### zoneNeighbourhoodsIds

    public static java.util.Vector zoneNeighbourhoodsIds(int zoneId)

### categoryOrders

    public static OrderList categoryOrders(OrderList orderList,
                                           int categoryId)

### filterOrdersByTransaction

    public static OrderList filterOrdersByTransaction(OrderList orderList,
                                                      int transactionType)

### orderSubmitAverage

    public static java.sql.Time orderSubmitAverage(java.sql.Date startDate,
                                                   java.sql.Date endDate,
                                                   int transactionType)

  Hora promedio en que se realizan mas pedidos. **Opcional

### userAccess

    public static java.util.Vector userAccess(java.lang.String login,
                                              java.sql.Date startDate,
                                              java.sql.Date endDate)

  Listado de los accesos de un usuario al sistema. **Opcional

### getShopKeeperStoresIds

    public static java.util.Vector getShopKeeperStoresIds(int shopKeeperId)

### getSupplierCommunitiesIds

    public static java.util.Vector getSupplierCommunitiesIds(int supplierId)

### getCitiesZonesIds

    public static java.util.Vector getCitiesZonesIds(int cityId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD